#
# spec file for package mobile-broadband-provider-info (Version 20110210)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           mobile-broadband-provider-info
Version:        20110210
Release:        0.pm.1.1
License:        Other uncritical OpenSource License
Url:            http://live.gnome.org/NetworkManager/MobileBroadband/ServiceProviders
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group:          Productivity/Networking/System
Source0:        %{name}-%{version}.tar.bz2
Source100:	%{name}.changes
Source1:        %{name}.rpmlintrc
Patch0:		%{name}-german_providers.patch
BuildRequires:	pkg-config
BuildArch:      noarch
Summary:        Mobile Service Provider Database

%description
This package contains mobile broadband settings for different service
providers in different countries.

The respective profiles can be used with _recent_ versions of nm-applet or knetworkmanager.

This package tries to be "up to date" by pulling latest changes from the respective git-repository available at

git.gnome.org/mobile-broadband-provider-info

on a regular basis. 

If you have informations about a provider not listed in this package, DO send them upstream and NOT to the maintainer of this package, see

http://live.gnome.org/NetworkManager/MobileBroadband/ServiceProviders#How_to_Contribute

for more information.

%prep
%setup -q
%patch0 -p0

%build
sh autogen.sh
%configure

%install
make DESTDIR=%{buildroot} install

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%{_datadir}/pkgconfig/mobile-broadband-provider-info.pc
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%changelog
* Mon Feb 14 2011 packman@links2linux.de - 20110210
- updated from git to version 20110210
- added pkg-config to BuildRequires
* Tue Jan 18 2011 packman@links2linux.de - 20110117
- updated from git to version 20110117
* Thu Dec 23 2010 packman@links2linux.de - 20101221
- first packman release
* Wed Dec 22 2010 AxelKoellhofer@web.de - 20101221
- updated from git to version 20101221
* Sat Dec 18 2010 AxelKoellhofer@web.de - 20101215
- updated from git to version 20101215
- patches refreshed
- added german description for ALDITalk/MEDIONmobile 30 Day Flatrate
* Thu Dec  9 2010 AxelKoellhofer@web.de - 20101208
- updated from git to version 20101208
* Wed Dec  8 2010 AxelKoellhofer@web.de - 20101126
- updated from git to version 20101126
- modified german providers AldiTalk/MedionMobile (DNS for 24h flat rate)
- added entry for T-Mobile (Germany) with NATed IP
- removed obsolete taiwan-providers.patch (upstream)
- renamed rpmlintrc to mobile-broadband-provider-info.rpmlintrc
* Tue Jul 21 2009 tambet@novell.com
- Split up Taiwanese providers 'TW Mobile' and 'TransAsia', they
  have different MNCs.
